Skip to content

Get integration mapping metadata for a unified-model resource method

GET /unified/{model_name}/{resource_name}/{integration_name}/meta/{method}

Path Parameters

model_namestring
required·

The name of the unified model (e.g. crm).

Example: crm
resource_namestring
required·

The name of the resource within the model (e.g. contacts).

Example: contacts
integration_namestring
required·

The name of the integration to inspect the mapping for (e.g. salesforce).

Example: salesforce
methodstring
required·

The unified method (e.g. list, get, create, update, delete).

Example: list

Response Body

query_schemaobject
required·

JSON-schema-style description of the supported query parameters for this method.

$refstring
additionalPropertiesboolean
default
descriptionstring
propertiesRecord<string, any>

Map of property name → JsonSchemaObjectProperties.

requiredboolean
typestring
Possible values:
object
request_body_schemaobject
required·

JSON-schema-style description of the supported request body for this method.

$refstring
additionalPropertiesboolean
default
descriptionstring
propertiesRecord<string, any>

Map of property name → JsonSchemaObjectProperties.

requiredboolean
typestring
Possible values:
object
response_schemaobject
required·

A subset of schema containing only the fields actually populated by response_mapping for this integration.

$refstring
additionalPropertiesboolean
default
descriptionstring
propertiesRecord<string, any>

Map of property name → JsonSchemaObjectProperties.

requiredboolean
typestring
Possible values:
object
schemaobject
required·

The unified-model resource JSON schema.

$refstring
additionalPropertiesboolean
default
descriptionstring
propertiesRecord<string, any>

Map of property name → JsonSchemaObjectProperties.

requiredboolean
typestring
Possible values:
object
default_bodyRecord<string, any>

Default request body always applied by the integration mapping. Values may be templated JSONata expressions. Object or null (arrays are allowed at runtime but rare).

default_queryRecord<string, any>

Default query parameters always applied by the integration mapping. Values may be templated JSONata expressions.

documentation_linkstring

Vendor documentation URL for this method, if set on the integration mapping.

methodstring

The unified method this metadata describes.

Example: list
curl -X GET 'https://api.truto.one/unified/{model_name}/{resource_name}/{integration_name}/meta/{method}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/{model_name}/{resource_name}/{integration_name}/meta/{method}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/{model_name}/{resource_name}/{integration_name}/meta/{method}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  '',
  'unified_model_docs',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "",
        "unified_model_docs",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())